aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMartin Grebac2014-08-05 10:21:38 (EDT)
committerLukas Jungmann2014-08-05 12:14:36 (EDT)
commitfa1bc56529349bbe83173fd5b307cda5c89426ee (patch)
tree00ba675ed643d507e1ebf913693dfa6a54936dcc
parent5e00babe97d50504b54db6f7ff1a9297ab301534 (diff)
downloadeclipselink.runtime-fa1bc56529349bbe83173fd5b307cda5c89426ee.zip
eclipselink.runtime-fa1bc56529349bbe83173fd5b307cda5c89426ee.tar.gz
eclipselink.runtime-fa1bc56529349bbe83173fd5b307cda5c89426ee.tar.bz2
Bug 441142: Upgrade tycho version - fixes duplicate repository imports within builds, sync on Java SE 6 as execution environment.
Signed-off-by: Martin Grebac <martin.grebac@oracle.com>
-rw-r--r--buildsystem/org.eclipse.persistence.parent/pom.xml2
-rw-r--r--foundation/org.eclipse.persistence.core/org.eclipse.persistence.core.bnd2
-rw-r--r--foundation/org.eclipse.persistence.extension/org.eclipse.persistence.extension.bnd2
-rw-r--r--foundation/org.eclipse.persistence.nosql/org.eclipse.persistence.nosql.bnd2
-rw-r--r--foundation/targets/target.oracle/oracle.libs/META-INF/MANIFEST.MF2
-rw-r--r--jpa/org.eclipse.persistence.jpa.jpql.test/META-INF/MANIFEST.MF2
-rw-r--r--jpa/org.eclipse.persistence.jpa.jpql/META-INF/MANIFEST.MF2
-rw-r--r--jpa/org.eclipse.persistence.jpa.jpql/org.eclipse.persistence.jpa.jpql.bnd2
-rw-r--r--jpa/org.eclipse.persistence.jpa/org.eclipse.persistence.jpa.bnd2
-rw-r--r--moxy/org.eclipse.persistence.moxy/javax.xml.bind.bnd2
-rw-r--r--moxy/org.eclipse.persistence.moxy/org.eclipse.persistence.moxy.bnd2
-rw-r--r--plugins/javax.ejb/META-INF/MANIFEST.MF2
-rw-r--r--plugins/javax.jms/META-INF/MANIFEST.MF2
-rw-r--r--plugins/javax.resource/META-INF/MANIFEST.MF2
-rw-r--r--plugins/javax.transaction/META-INF/MANIFEST.MF2
-rw-r--r--sdo/org.eclipse.persistence.sdo/org.eclipse.persistence.sdo.bnd2
16 files changed, 16 insertions, 16 deletions
diff --git a/buildsystem/org.eclipse.persistence.parent/pom.xml b/buildsystem/org.eclipse.persistence.parent/pom.xml
index d5a80a3..b9b5a9a 100644
--- a/buildsystem/org.eclipse.persistence.parent/pom.xml
+++ b/buildsystem/org.eclipse.persistence.parent/pom.xml
@@ -22,7 +22,7 @@
<properties>
<!-- TOOL Properties -->
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
- <tycho.version>0.18.0</tycho.version>
+ <tycho.version>0.21.0</tycho.version>
<junit4-version>4.8.1</junit4-version>
<!-- maven.build.timestamp.format>yyyyMMddHHmm</maven.build.timestamp.format> Seems it must be in settings.xml -->
<!-- PROJECT Properties -->
diff --git a/foundation/org.eclipse.persistence.core/org.eclipse.persistence.core.bnd b/foundation/org.eclipse.persistence.core/org.eclipse.persistence.core.bnd
index 8ba77df..ce2e33c 100644
--- a/foundation/org.eclipse.persistence.core/org.eclipse.persistence.core.bnd
+++ b/foundation/org.eclipse.persistence.core/org.eclipse.persistence.core.bnd
@@ -1,6 +1,6 @@
Export-Package: org.eclipse.persistence*;version="${version.string}";-noimport:=true,
Bundle-ClassPath: .
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
HK2-Bundle-Name: org.eclipse.persistence:org.eclipse.persistence.core
Require-Bundle:\
org.eclipse.persistence.antlr;bundle-version="${release.version}";resolution:=optional,\
diff --git a/foundation/org.eclipse.persistence.extension/org.eclipse.persistence.extension.bnd b/foundation/org.eclipse.persistence.extension/org.eclipse.persistence.extension.bnd
index 97c5cf3..f818b0b 100644
--- a/foundation/org.eclipse.persistence.extension/org.eclipse.persistence.extension.bnd
+++ b/foundation/org.eclipse.persistence.extension/org.eclipse.persistence.extension.bnd
@@ -1,6 +1,6 @@
Export-Package: org.eclipse.persistence*;version="${release.version}";-noimport:=true,
Bundle-Name: EclipseLink Extensions
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
HK2-Bundle-Name: org.eclipse.persistence:${ant.project.name}
Bundle-Vendor: ${implementation.vendor}
Fragment-Host: org.eclipse.persistence.core;bundle-version="${release.version}"
diff --git a/foundation/org.eclipse.persistence.nosql/org.eclipse.persistence.nosql.bnd b/foundation/org.eclipse.persistence.nosql/org.eclipse.persistence.nosql.bnd
index e3ff9c3..02baff4 100644
--- a/foundation/org.eclipse.persistence.nosql/org.eclipse.persistence.nosql.bnd
+++ b/foundation/org.eclipse.persistence.nosql/org.eclipse.persistence.nosql.bnd
@@ -1,6 +1,6 @@
Export-Package: org.eclipse.persistence*;version="${release.version}";-noimport:=true,
Bundle-Name: EclipseLink NoSQL Extensions
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
HK2-Bundle-Name: org.eclipse.persistence:${ant.project.name}
Bundle-Vendor: ${implementation.vendor}
Fragment-Host: org.eclipse.persistence.core;bundle-version="${release.version}"
diff --git a/foundation/targets/target.oracle/oracle.libs/META-INF/MANIFEST.MF b/foundation/targets/target.oracle/oracle.libs/META-INF/MANIFEST.MF
index d97c34c..b34507a 100644
--- a/foundation/targets/target.oracle/oracle.libs/META-INF/MANIFEST.MF
+++ b/foundation/targets/target.oracle/oracle.libs/META-INF/MANIFEST.MF
@@ -108,7 +108,7 @@ Export-Package: javax.xml,
org.xml.sax,
org.xml.sax.ext,
org.xml.sax.helpers
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Import-Package: javax.jms;version="1.1.0";resolution:=optional,
javax.resource;version="1.5.0";resolution:=optional,
javax.resource.spi;version="1.5.0";resolution:=optional,
diff --git a/jpa/org.eclipse.persistence.jpa.jpql.test/META-INF/MANIFEST.MF b/jpa/org.eclipse.persistence.jpa.jpql.test/META-INF/MANIFEST.MF
index d35cacf..5eac52e 100644
--- a/jpa/org.eclipse.persistence.jpa.jpql.test/META-INF/MANIFEST.MF
+++ b/jpa/org.eclipse.persistence.jpa.jpql.test/META-INF/MANIFEST.MF
@@ -12,5 +12,5 @@ Export-Package: jpql.query,
Require-Bundle: org.eclipse.persistence.jpa.jpql;bundle-version="[2.1.0,3.0.0)",
org.junit;bundle-version="[4.8.1,5.0.0)"
Bundle-Vendor: Eclipse.org - EclipseLink Project
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Import-Package: javax.persistence;jpa="2.1";version="[1.0.0,2.2.0)"
diff --git a/jpa/org.eclipse.persistence.jpa.jpql/META-INF/MANIFEST.MF b/jpa/org.eclipse.persistence.jpa.jpql/META-INF/MANIFEST.MF
index c95d151..08e7987 100644
--- a/jpa/org.eclipse.persistence.jpa.jpql/META-INF/MANIFEST.MF
+++ b/jpa/org.eclipse.persistence.jpa.jpql/META-INF/MANIFEST.MF
@@ -18,7 +18,7 @@ Bundle-Name: EclipseLink Hermes Parser
Created-By: 1.6.0_21 (Sun Microsystems Inc.)
HK2-Bundle-Name: org.eclipse.persistence:org.eclipse.persistence.jpa.j
pql
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Bundle-Vendor: Eclipse.org - EclipseLink Project
Bundle-Version: 2.6.0.qualifier
Bundle-ManifestVersion: 2
diff --git a/jpa/org.eclipse.persistence.jpa.jpql/org.eclipse.persistence.jpa.jpql.bnd b/jpa/org.eclipse.persistence.jpa.jpql/org.eclipse.persistence.jpa.jpql.bnd
index f32ea14..7959161 100644
--- a/jpa/org.eclipse.persistence.jpa.jpql/org.eclipse.persistence.jpa.jpql.bnd
+++ b/jpa/org.eclipse.persistence.jpa.jpql/org.eclipse.persistence.jpa.jpql.bnd
@@ -2,7 +2,7 @@ Export-Package: org.eclipse.persistence*;version="${hermes.version.string}";-noi
Implementation-Version: ${hermes.version.string}
Specification-Vendor: ${specification.vendor}
Bundle-Name: EclipseLink Hermes Parser
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
HK2-Bundle-Name: org.eclipse.persistence:org.eclipse.persistence.jpa.jpql
Implementation-Vendor: ${implementation.vendor}
Bundle-Vendor: ${implementation.vendor}
diff --git a/jpa/org.eclipse.persistence.jpa/org.eclipse.persistence.jpa.bnd b/jpa/org.eclipse.persistence.jpa/org.eclipse.persistence.jpa.bnd
index 55ddd36..4e58149 100644
--- a/jpa/org.eclipse.persistence.jpa/org.eclipse.persistence.jpa.bnd
+++ b/jpa/org.eclipse.persistence.jpa/org.eclipse.persistence.jpa.bnd
@@ -2,7 +2,7 @@ Export-Package: org.eclipse.persistence*;version="${version.string}";-noimport:=
Implementation-Version: ${version.string}
Specification-Vendor: ${specification.vendor}
Bundle-Name: EclipseLink JPA
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
HK2-Bundle-Name: org.eclipse.persistence:org.eclipse.persistence.jpa
Require-Bundle: org.eclipse.persistence.core;bundle-version="${release.version}";visibility:=reexport,\
org.eclipse.persistence.asm;bundle-version="${release.version}";resolution:=optional
diff --git a/moxy/org.eclipse.persistence.moxy/javax.xml.bind.bnd b/moxy/org.eclipse.persistence.moxy/javax.xml.bind.bnd
index 3e7cc1a..92da5f3 100644
--- a/moxy/org.eclipse.persistence.moxy/javax.xml.bind.bnd
+++ b/moxy/org.eclipse.persistence.moxy/javax.xml.bind.bnd
@@ -5,7 +5,7 @@ Specification-Version: 2.2
Specification-Vendor: Sun Microsystems, Inc.
Extension-Name: javax.xml.bind
Bundle-Name: javax.xml.bind
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Implementation-Vendor: Sun Microsystems Inc.
Bundle-Vendor: Eclipse.org - EclipseLink Project
Bundle-Version: 2.2.0.v${build.date}${build.time}
diff --git a/moxy/org.eclipse.persistence.moxy/org.eclipse.persistence.moxy.bnd b/moxy/org.eclipse.persistence.moxy/org.eclipse.persistence.moxy.bnd
index 4d57692..7e351ec 100644
--- a/moxy/org.eclipse.persistence.moxy/org.eclipse.persistence.moxy.bnd
+++ b/moxy/org.eclipse.persistence.moxy/org.eclipse.persistence.moxy.bnd
@@ -2,7 +2,7 @@ Export-Package: org.eclipse.persistence.*;version="${version.string}";-noimport:
Implementation-Version: ${version.string}
Specification-Vendor: ${specification.vendor}
Bundle-Name: EclipseLink MOXy
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
HK2-Bundle-Name: org.eclipse.persistence:org.eclipse.persistence.moxy
Require-Bundle: org.eclipse.persistence.core;bundle-version="${release.version}";visibility:=reexport,\
org.eclipse.persistence.asm;bundle-version="${release.version}";resolution:=optional
diff --git a/plugins/javax.ejb/META-INF/MANIFEST.MF b/plugins/javax.ejb/META-INF/MANIFEST.MF
index f20428e..e8b2389 100644
--- a/plugins/javax.ejb/META-INF/MANIFEST.MF
+++ b/plugins/javax.ejb/META-INF/MANIFEST.MF
@@ -1,6 +1,6 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Bundle-Name: EJB
Bundle-SymbolicName: javax.ejb
Bundle-Version: 3.1.0.v201205171433
diff --git a/plugins/javax.jms/META-INF/MANIFEST.MF b/plugins/javax.jms/META-INF/MANIFEST.MF
index ac34352..0be5f0e 100644
--- a/plugins/javax.jms/META-INF/MANIFEST.MF
+++ b/plugins/javax.jms/META-INF/MANIFEST.MF
@@ -1,6 +1,6 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: J2SE-1.4
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Bundle-Name: JMS
Bundle-SymbolicName: javax.jms
Bundle-Version: 1.1.0.v200906010428
diff --git a/plugins/javax.resource/META-INF/MANIFEST.MF b/plugins/javax.resource/META-INF/MANIFEST.MF
index 8878e31..607fc45 100644
--- a/plugins/javax.resource/META-INF/MANIFEST.MF
+++ b/plugins/javax.resource/META-INF/MANIFEST.MF
@@ -1,6 +1,6 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: J2SE-1.4
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Bundle-Name: JCA
Bundle-SymbolicName: javax.resource
Bundle-Version: 1.5.0.v200906010428
diff --git a/plugins/javax.transaction/META-INF/MANIFEST.MF b/plugins/javax.transaction/META-INF/MANIFEST.MF
index 79f868a..3dbf062 100644
--- a/plugins/javax.transaction/META-INF/MANIFEST.MF
+++ b/plugins/javax.transaction/META-INF/MANIFEST.MF
@@ -1,6 +1,6 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: J2SE-1.4
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Bundle-Name: JTA
Bundle-SymbolicName: javax.transaction
Bundle-Version: 1.1.0.v201002051055
diff --git a/sdo/org.eclipse.persistence.sdo/org.eclipse.persistence.sdo.bnd b/sdo/org.eclipse.persistence.sdo/org.eclipse.persistence.sdo.bnd
index 90608c2..5a26c57 100644
--- a/sdo/org.eclipse.persistence.sdo/org.eclipse.persistence.sdo.bnd
+++ b/sdo/org.eclipse.persistence.sdo/org.eclipse.persistence.sdo.bnd
@@ -2,7 +2,7 @@ Export-Package: commonj*;version="${version.string}",org.eclipse.persistence*;ve
Implementation-Version: ${version.string}
Specification-Vendor: ${specification.vendor}
Bundle-Name: EclipseLink SDO
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
HK2-Bundle-Name: org.eclipse.persistence:org.eclipse.persistence.sdo
Require-Bundle: org.eclipse.persistence.core;bundle-version="${release.version}";visibility:=reexport,\
org.eclipse.persistence.asm;bundle-version="${release.version}";resolution:=optional,\